Github messages for mblaze
 help / color / mirror / Atom feed
From: Eluminae <Eluminae@users.noreply.github.com>
To: ml@inbox.vuxu.org
Subject: Re: Encrypt + Sign
Date: Tue, 02 Feb 2021 14:10:11 +0100	[thread overview]
Message-ID: <20210202131011.eL0w1K2mJTZoB0N7-PEPV0Jj10RwFA8uSNZT6AbXTqM@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-fa6558a0-26e0-48f6-803f-f5a8af34f6a8-mblaze-202@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 780 bytes --]

New comment by Eluminae on mblaze repository

https://github.com/leahneukirchen/mblaze/issues/202#issuecomment-771617509

Comment:
Something like this seems enough to me

```
diff --git a/bin/mverify b/bin/mverify
index 1624d49..21e7e24 100755
--- a/bin/mverify
+++ b/bin/mverify
@@ -11,6 +11,13 @@ fi

 [ "$#" -eq 0 ] && set -- .

+if mshow -t "$1" | grep -q "multipart/encrypted"; then
+       tmp=$(mktemp -t mgpg.XXXXXX)
+       trap "rm -f '$tmp'" INT TERM EXIT
+       mshow -r "$1" | "$GPG" -d > "$tmp"
+       set -- "$tmp"
+fi
+
 mshow -t "$1" | DOS2UNIX='/^M$/!s/$/^M/' awk -v "msg=$1" '
 { match($0, "^ *"); indent = RLENGTH }
 $2 == "text/plain" { plain++ }
```

edit: we should add some `-n` args to some `mshow` to avoid linking the tmp file 

      parent reply	other threads:[~2021-02-02 13:10 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-02 10:57 [ISSUE] " Eluminae
2021-02-02 11:05 ` leahneukirchen
2021-02-02 11:34 ` Eluminae
2021-02-02 11:37 ` Eluminae
2021-02-02 11:40 ` Eluminae
2021-02-02 11:41 ` Eluminae
2021-02-02 11:44 ` leahneukirchen
2021-02-02 11:46 ` leahneukirchen
2021-02-02 11:50 ` Eluminae
2021-02-02 11:51 ` Eluminae
2021-02-02 11:56 ` Eluminae
2021-02-02 11:57 ` leahneukirchen
2021-02-02 11:59 ` leahneukirchen
2021-02-02 12:00 ` leahneukirchen
2021-02-02 12:06 ` Eluminae
2021-02-02 12:07 ` Eluminae
2021-02-02 12:11 ` Eluminae
2021-02-02 12:59 ` Eluminae
2021-02-02 13:10 ` Eluminae [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210202131011.eL0w1K2mJTZoB0N7-PEPV0Jj10RwFA8uSNZT6AbXTqM@z \
    --to=eluminae@users.noreply.github.com \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).